For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Prompts
      • POSTPush Prompts
        • GETList Versions
        • POSTCreate Version
        • GETPull Prompts By Version
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsPromptsVersions

Pull Prompts By Version

GET
https://api.confident-ai.com/v1/prompts/:alias/versions/:version
GET
/v1/prompts/:alias/versions/:version
$curl https://api.confident-ai.com/v1/prompts/PROMPT-ALIAS/versions/PROMPT-VERSION \
> -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
1{
2 "success": true,
3 "data": {
4 "id": "prv_abc123",
5 "hash": "bab04ce",
6 "type": "TEXT",
7 "interpolationType": "FSTRING",
8 "outputType": "TEXT",
9 "version": "00.00.01",
10 "label": "my-label",
11 "text": "Hello, {{name}}!",
12 "modelSettings": {
13 "provider": "OPEN_AI",
14 "name": "gpt-4o",
15 "temperature": 0.7
16 }
17 },
18 "deprecated": false
19}

Retrieves a prompt with alias and version from your Confident AI account.

Was this page helpful?
Previous

List Commits

Next
Built with

Path parameters

aliasstringRequired
The unique alias of the prompt.
versionstringRequired
The version number of the prompt.

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Response

successboolean
This is true if the prompt was successfully retrieved.
dataobject
deprecatedboolean
This is true if this endpoint is deprecated.